package com.ms.biz.service.impl;

import com.ms.dal.entity.DoudianAftersaleMsgBuffer;
import com.ms.biz.service.DoudianAftersaleMsgBufferService;
import com.ms.dal.mapper.DoudianAftersaleMsgBufferMapper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;


/**
 *
 */
@Service
public class DoudianAftersaleMsgBufferServiceImpl implements DoudianAftersaleMsgBufferService{

    @Autowired
    private DoudianAftersaleMsgBufferMapper doudianAftersaleMsgBufferMapper;

    @Override
    public int deleteByPrimaryKey(Long id) {
        return doudianAftersaleMsgBufferMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int insert(DoudianAftersaleMsgBuffer record) {
        return doudianAftersaleMsgBufferMapper.insert(record);
    }

    @Override
    public int insertSelective(DoudianAftersaleMsgBuffer record) {
        return doudianAftersaleMsgBufferMapper.insertSelective(record);
    }

    @Override
    public DoudianAftersaleMsgBuffer selectByPrimaryKey(Long id) {
        return doudianAftersaleMsgBufferMapper.selectByPrimaryKey(id);
    }

    @Override
    public int updateByPrimaryKeySelective(DoudianAftersaleMsgBuffer record) {
        return doudianAftersaleMsgBufferMapper.updateByPrimaryKeySelective(record);
    }

    @Override
    public int updateByPrimaryKey(DoudianAftersaleMsgBuffer record) {
        return doudianAftersaleMsgBufferMapper.updateByPrimaryKey(record);
    }

}




